dracut/0053-Check-for-logfile-logfile-option-and-create-it-if-ne.patch
Harald Hoyer b94732d29a dracut-040-78.git20141219
- git snapshot
2014-12-19 15:01:39 +01:00

38 lines
1.1 KiB
Diff

From 3838dc47c3f15128f171bfbd0eaf2e3e8641e4e8 Mon Sep 17 00:00:00 2001
From: jloeser <jloeser@suse.de>
Date: Thu, 11 Dec 2014 15:46:14 +0100
Subject: [PATCH] Check for logfile (--logfile option) and create it if
necessary
If a logfile is passed to dracut via --logfile option and doesn't
exist, dracut doesn't create it and logs nothing. Instead, dracut
should try to touch the file and print a warning if creating fails.
References: bnc#892191
Signed-off-by: Thomas Renninger <trenn@suse.de>
---
dracut.sh | 10 ++++++++++
1 file changed, 10 insertions(+)
diff --git a/dracut.sh b/dracut.sh
index cda7955..79f36b6 100755
--- a/dracut.sh
+++ b/dracut.sh
@@ -816,6 +816,16 @@ stdloglvl=$((stdloglvl + verbosity_mod_l))
# eliminate IFS hackery when messing with fw_dir
fw_dir=${fw_dir//:/ }
+# check for logfile and try to create one if it doesn't exist
+if [[ -n "$logfile" ]];then
+ if [[ ! -f "$logfile" ]];then
+ touch "$logfile"
+ if [ ! $? -eq 0 ] ;then
+ printf "%s\n" "dracut: touch $logfile failed." >&2
+ fi
+ fi
+fi
+
# handle compression options.
[[ $compress ]] || compress="gzip"
case $compress in